// Typography
const fonts = {
  sans:`-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif`,
  serif:`Garamond, Times New Roman, serif`,
}

export const font = fonts.sans;
export const fontFamilies = fonts;
export const monospace = `"SF Mono", "Roboto Mono", Menlo, monospace`

export const fontSizes = [
  12,
  14,
  16,
  20,
  24,
  32,
  48,
  64,
  72,
  96
]

export const weights = [
  400,
  700
]

// Colors
export const colors = {
  "base":"#0077cc",
  "blue":"#0077cc",
  "blue0":"#e4f1fa",
  "blue1":"#c7e1f4",
  "blue2":"#a5cfed",
  "blue3":"#7dbae5",
  "blue4":"#4b9fdb",
  "blue5":"#0077cc",
  "blue6":"#006bb8",
  "blue7":"#005ea1",
  "blue8":"#004d84",
  "blue9":"#00375e",
  "black":"#000",
  "cyan":"#00ddcc",
  "cyan0":"#edfdfb",
  "cyan1":"#c5f7f3",
  "cyan2":"#94f1ea",
  "cyan3":"#55e8dd",
  "cyan4":"#00dbca",
  "cyan5":"#00c8b9",
  "cyan6":"#00b3a5",
  "cyan7":"#009a8e",
  "cyan8":"#007a70",
  "cyan9":"#004842",
  "gray":"#adb4b9",
  "gray0":"#f9f9fa",
  "gray1":"#eceeef",
  "gray2":"#dee1e3",
  "gray3":"#cfd3d7",
  "gray4":"#bfc5c9",
  "gray5":"#adb4b9",
  "gray6":"#98a1a8",
  "gray7":"#7f8b93",
  "gray8":"#606e79",
  "gray9":"#374047",
  "green":"#11cc00",
  "green0":"#e6fae4",
  "green1":"#caf4c6",
  "green2":"#aaeda4",
  "green3":"#84e57b",
  "green4":"#54da48",
  "green5":"#11cc00",
  "green6":"#0fb900",
  "green7":"#0ea200",
  "green8":"#0b8700",
  "green9":"#086100",
  "orange":"#ff9900",
  "orange0":"#fff9ef",
  "orange1":"#ffebcd",
  "orange2":"#ffdca6",
  "orange3":"#ffca7b",
  "orange4":"#ffb647",
  "orange5":"#ff9c07",
  "orange6":"#e68a00",
  "orange7":"#c57600",
  "orange8":"#9c5e00",
  "orange9":"#5c3700",
  "pink":"#cc0077",
  "pink0":"#fbeaf4",
  "pink1":"#f6d2e7",
  "pink2":"#f0b6d8",
  "pink3":"#ea94c6",
  "pink4":"#e066ad",
  "pink5":"#cc0077",
  "pink6":"#b9006c",
  "pink7":"#a2005f",
  "pink8":"#87004e",
  "pink9":"#610039",
  "red":"#dd0000",
  "red0":"#fbeaec",
  "red1":"#f6d3d6",
  "red2":"#f1b8bc",
  "red3":"#ea969d",
  "red4":"#e16973",
  "red5":"#cc0011",
  "red6":"#b9000f",
  "red7":"#a2000e",
  "red8":"#87000b",
  "red9":"#610008",
  "violet":"#5500cc",
  "violet0":"#f1eafb",
  "violet1":"#e1d2f6",
  "violet2":"#cfb6f0",
  "violet3":"#b895ea",
  "violet4":"#9a67e1",
  "violet5":"#5500cc",
  "violet6":"#4d00b8",
  "violet7":"#4300a1",
  "violet8":"#370085",
  "violet9":"#27005f",
  "white":"#fff",
  "yellow":"#ffee33",
  "yellow0":"#fffbd1",
  "yellow1":"#fff159",
  "yellow2":"#f4e431",
  "yellow3":"#e5d62e",
  "yellow4":"#d5c72b",
  "yellow5":"#c3b627",
  "yellow6":"#aea223",
  "yellow7":"#958b1e",
  "yellow8":"#766e18",
  "yellow9":"#45400e"
}

export const breakpoints = [
  32,
  48,
  64,
  80
]

export const space = [
  0,
  4,
  8,
  16,
  32,
  64,
  128,
]

export const radius = 4

export default {
  font,
  monospace,
  fontFamilies,
  weights,
  fontSizes,
  colors,
  breakpoints,
  space,
  radius
}
